GrailsProjectRunner (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.project.container
[Groovy] Class GrailsProjectRunner

    java.lang.Object
      org.codehaus.groovy.grails.cli.api.BaseSettingsApi
          org.codehaus.groovy.grails.project.container.GrailsProjectRunner

    class GrailsProjectRunner
    extends BaseSettingsApi

Runs the container embedded within the current JVM.

Authors:
  Graeme Rocher

Since:
  2.2

Field Summary
`static java.lang.String` | `SCHEME_HTTP`
`static java.lang.String` | `SCHEME_HTTPS`

Fields inherited from class BaseSettingsApi
appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver

Property Summary
`boolean` | `usingSecureServer`

Constructor Summary
`GrailsProjectRunner(GrailsProjectPackager projectPackager, GrailsProjectWarCreator warCreator, java.lang.ClassLoader classLoader)`

Method Summary
`GrailsProjectPackager` | `getProjectPackager()`
`java.lang.String` | `getServerContextPath()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getUrlHttps()`
`GrailsProjectWarCreator` | `getWarCreator()`
`boolean` | `isServerRunning()` @return Whether the server is running
`EmbeddableServer` | `runApp()` Runs the application in dev mode, i.e. with class-reloading.
`EmbeddableServer` | `runAppHttps()` Runs the application in dev mode over HTTPS.
`EmbeddableServer` | `runServer(java.util.Map args)` Runs the Server.
`EmbeddableServer` | `runWar()` Runs the application using the WAR file directly.
`EmbeddableServer` | `runWarHttps()` Runs the application over HTTPS using the WAR file directly.
`void` | `stopServer()`

Methods inherited from class BaseSettingsApi
confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### SCHEME_HTTP

    public static final java.lang.String SCHEME_HTTP

### SCHEME_HTTPS

    public static final java.lang.String SCHEME_HTTPS

Property Detail

### usingSecureServer

    boolean usingSecureServer

Constructor Detail

### GrailsProjectRunner

    GrailsProjectRunner(GrailsProjectPackager projectPackager, GrailsProjectWarCreator warCreator, java.lang.ClassLoader classLoader)

Method Detail

### getProjectPackager

    GrailsProjectPackager getProjectPackager()

### getServerContextPath

    java.lang.String getServerContextPath()

### getUrl

    java.lang.String getUrl()

### getUrlHttps

    java.lang.String getUrlHttps()

### getWarCreator

    GrailsProjectWarCreator getWarCreator()

### isServerRunning

    boolean isServerRunning()

  Returns:
    Whether the server is running

### runApp

    @groovy.transform.CompileStatic
    EmbeddableServer runApp()

  Runs the application in dev mode, i.e. with class-reloading.

### runAppHttps

    @groovy.transform.CompileStatic
    EmbeddableServer runAppHttps()

  Runs the application in dev mode over HTTPS.

### runServer

    EmbeddableServer runServer(java.util.Map args)

  Runs the Server. You can pass these named arguments: server - The server instance to use (required). port - The network port the server is running on (used to display the URL) (required). scheme - The network scheme to display in the URL (optional; defaults to "http").

### runWar

    @groovy.transform.CompileStatic
    EmbeddableServer runWar()

  Runs the application using the WAR file directly.

### runWarHttps

    @groovy.transform.CompileStatic
    EmbeddableServer runWarHttps()

  Runs the application over HTTPS using the WAR file directly.

### stopServer

    @groovy.transform.CompileStatic
    void stopServer()

Groovy Documentation